Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html.parser
Class Element

    java.lang.Object
      javax.swing.text.html.parser.Element

All Implemented Interfaces:
  Serializable, DTDConstants

    public final class Element

extends Object
implements DTDConstants, Serializable

An element as described in a DTD using the ELEMENT construct. This is essentiall the description of a tag. It describes the type, content model, attributes, attribute types etc. It is used to correctly parse a document by the Parser.

See Also:
  `DTD`, `AttributeList`

Field Summary
`AttributeList` | `atts`
`ContentModel` | `content`
`Object` | `data` A field to store user data.
`BitSet` | `exclusions`
`BitSet` | `inclusions`
`int` | `index`
`String` | `name`
`boolean` | `oEnd`
`boolean` | `oStart`
`int` | `type`

Fields inherited from interface javax.swing.text.html.parser.DTDConstants
`ANY, CDATA, CONREF, CURRENT, DEFAULT, EMPTY, ENDTAG, ENTITIES, ENTITY, FIXED, GENERAL, ID, IDREF, IDREFS, IMPLIED, MD, MODEL, MS, NAME, NAMES, NMTOKEN, NMTOKENS, NOTATION, NUMBER, NUMBERS, NUTOKEN, NUTOKENS, PARAMETER, PI, PUBLIC, RCDATA, REQUIRED, SDATA, STARTTAG, SYSTEM`

Method Summary
`AttributeList` | `getAttribute(String name)` Get an attribute by name.
`AttributeList` | `getAttributeByValue(String name)` Get an attribute by value.
`AttributeList` | `getAttributes()` Get the attributes.
`ContentModel` | `getContent()` Get content model
`int` | `getIndex()` Get index.
`String` | `getName()` Get the name of the element.
`int` | `getType()` Get type.
`boolean` | `isEmpty()` Check if empty
`static int` | `name2type(String nm)`
`boolean` | `omitEnd()` Return true if the end tag can be omitted.
`boolean` | `omitStart()` Return true if the start tag can be omitted.
`String` | `toString()` Convert to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### index

    public int index

### name

    public String name

### oStart

    public boolean oStart

### oEnd

    public boolean oEnd

### inclusions

    public BitSet inclusions

### exclusions

    public BitSet exclusions

### type

    public int type

### content

    public ContentModel content

### atts

    public AttributeList atts

### data

    public Object data

  A field to store user data. Mostly used to store style sheets.

Method Detail

### getName

    public String getName()

  Get the name of the element.

### omitStart

    public boolean omitStart()

  Return true if the start tag can be omitted.

### omitEnd

    public boolean omitEnd()

  Return true if the end tag can be omitted.

### getType

    public int getType()

  Get type.

### getContent

    public ContentModel getContent()

  Get content model

### getAttributes

    public AttributeList getAttributes()

  Get the attributes.

### getIndex

    public int getIndex()

  Get index.

### isEmpty

    public boolean isEmpty()

  Check if empty

### toString

    public String toString()

  Convert to a string.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

### getAttribute

    public AttributeList getAttribute(String name)

  Get an attribute by name.

### getAttributeByValue

    public AttributeList getAttributeByValue(String name)

  Get an attribute by value.

### name2type

    public static int name2type(String nm)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.